## autodock-vina 1.1.2

=== build/linux/debug/Makefile ===
BASE=/usr/local
BOOST_VERSION=1_41
BOOST_INCLUDE = $(BASE)/include
C_PLATFORM=-static -pthread
GPP=/usr/local/bin/g++
C_OPTIONS= -g
BOOST_LIB_VERSION=

include ../../makefile_common

=== build/linux/release/Makefile ===
BASE=/usr/local
BOOST_VERSION=1_41
BOOST_INCLUDE = $(BASE)/include
C_PLATFORM=-static -pthread
GPP=/usr/local/bin/g++
C_OPTIONS= -O3 -DNDEBUG
BOOST_LIB_VERSION=

include ../../makefile_common

=== build/mac/debug/Makefile ===
BASE=/usr/local
BOOST_VERSION=1_41
BOOST_INCLUDE = $(BASE)/include
C_PLATFORM=-arch i386 -arch ppc -isysroot /Developer/SDKs/MacOSX10.5.sdk -mmacosx-version-min=10.4
GPP=/usr/bin/g++
C_OPTIONS= -g
BOOST_LIB_VERSION=

include ../../makefile_common

=== build/mac/release/Makefile ===
BASE=/usr/local
BOOST_VERSION=1_41
BOOST_INCLUDE = $(BASE)/include
C_PLATFORM=-arch i386 -arch ppc -isysroot /Developer/SDKs/MacOSX10.5.sdk -mmacosx-version-min=10.4
GPP=/usr/bin/g++
C_OPTIONS= -O3 -DNDEBUG
BOOST_LIB_VERSION=

include ../../makefile_common

=== debian/changelog ===
autodock-vina (1.1.2-6) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use versioned copyright format URI.

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Sun, 08 Nov 2020 08:50:42 +0100

autodock-vina (1.1.2-5) unstable; urgency=low

  * Team upload.

  [ Liubov Chuprikova ]
  * Add autopkgtest
    Closes: #890785
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5
  * d/rules: add debug symbols and hardening

  [ Andreas Tille ]
  * Remove Yask Gupta from Uploaders (thanks for your work Yask)
  * debhelper 11
  * DEP5
  * drop unneeded get-orig-source target

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Sat, 07 Jul 2018 14:30:23 +0300

autodock-vina (1.1.2-4) unstable; urgency=low

  [ Steffen Moeller ]
  * debian/upstream/metadata
    - yamllint cleanliness
    - Added references to registries

  [ Andreas Tille ]
  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.0
  * debhelper 10

 -- Andreas Tille <tille@debian.org>  Mon, 18 Sep 2017 21:56:36 +0200

autodock-vina (1.1.2-3) unstable; urgency=low

  [ Andreas Tille ]
  * debian/upstream:
     - Separate authors by ' and ' rather by ','
     - Moved DOI to references
  * debian/copyright: Upstream-Contact changed and DEP5
  * debian/patches/fix_boost.patch: Description of patch incl.
    forewarded upstream
  * debian/control:
     - cme fix dpkg-control
     - Priority: optional
     - canonical Vcs URLs
     - debhelper 9

  [ Thorsten Alteholz ]
  * debian/rules: target get-orig-source added

 -- Andreas Tille <tille@debian.org>  Tue, 19 Nov 2013 17:57:26 +0100

autodock-vina (1.1.2-2) unstable; urgency=low

  * Fix boost compatibility error (thanks for the patch to
    Sebastian Ramacher <s.ramacher@gmx.at>)
    Closes: #642697
  * debian/control: Fixed Vcs fields
  * Debhelper 8 (control+compat)

 -- Andreas Tille <tille@debian.org>  Mon, 28 Nov 2011 10:58:42 +0100

autodock-vina (1.1.2-1) unstable; urgency=low

  * New upstream version
  * Demoted autodock and autogrid to "suggested"
  * Adjusted policy to 3.9.2

 -- Steffen Moeller <moeller@debian.org>  Thu, 12 May 2011 00:42:19 +0200

autodock-vina (1.1.1-3) unstable; urgency=low

  * Fixed debian/watch
  * debian/control
    - Team maintenance in Debian Med team
    - Added myself to uploaders
    - Recommends: autodock, autogrid
  * Remove debian/README.Debian (which just asks the user to install
    those recommended packages)
  * Remove debian/docs which is just empty
  * debian/patches/do_not_link_against_unneeded_libs.patch:
    Avoid linking against libraries which are not used at all
  * debian/rules:
    - Replace dh-make template by somewhat useful comment
    - Remove missleading get-orig-source target - there is no need
      at all to repack upstream source and the next version should
      be obtained simply by uscan
  * debian/*.1: Fixed name section
  * Added upstream-metadata.yaml

 -- Andreas Tille <tille@debian.org>  Thu, 24 Feb 2011 08:14:04 +0100

autodock-vina (1.1.1-2) unstable; urgency=low

  * Move from experimtenal to unstable.
  * Fixed two lintian warnings with respect
    to the man pages we contributed.

 -- Steffen Moeller <moeller@debian.org>  Sat, 19 Feb 2011 15:09:51 +0100

autodock-vina (1.1.1-1) experimental; urgency=low

  * Initial release (Closes: #580905).

 -- Yask Gupta <yask.gupta87@gmail.com>  Thu, 11 Nov 2010 15:52:17 +0100

=== debian/control ===
Source: autodock-vina
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Michael Banck <mbanck@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libboost-all-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/autodock-vina
Vcs-Git: https://salsa.debian.org/med-team/autodock-vina.git
Homepage: http://vina.scripps.edu
Rules-Requires-Root: no

Package: autodock-vina
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: autodock,
          autogrid
Description: docking of small molecules to proteins
 AutoDock Vina is a program to support drug discovery, molecular
 docking and virtual screening of compound libraries. It offers
 multi-core capability, high performance and enhanced accuracy
 and ease of use.
 .
 The same institute also developed autodock, which is widely used.
 .
 O. Trott, A. J. Olson, AutoDock Vina: improving the speed and accuracy
 of docking with a new scoring function, efficient optimization and
 multithreading, Journal of Computational Chemistry 31 (2010) 455-461

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for autodoc_vinna
# Authors: Yask Gupta <yask.gupta87@gmail.com>, Andreas Tille <tille@debian.org>
# License: GPL

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

CFLAGS+=-fpermissive -DBOOST_FILESYSTEM_VERSION=3 --lto
CXXFLAGS+=-fpermissive -DBOOST_FILESYSTEM_VERSION=3 --lto
LDFLAGS+=--lto -g

%:
	dh  $@

override_dh_auto_build:
	$(MAKE) BASE=/usr -C build/linux/release CLFAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"

override_dh_clean:
	dh_clean
	rm -f build/linux/release/*.o build/linux/release/vina*

=== debian/watch ===
version=3
opts="uversionmangle=s/_/./g" \
    http://vina.scripps.edu/download.html download/autodock_vina_([\d._]+)\.tgz

## autodock-vina 1.2.3

=== build/python/requirements.txt ===
numpy>=1.18

=== build/linux/debug/Makefile ===
BASE=/usr
BOOST_VERSION=
BOOST_INCLUDE = $(BASE)/include
C_PLATFORM=-static -pthread
GPP=/usr/bin/g++
C_OPTIONS= -g -std=gnu++11
BOOST_LIB_VERSION=

include ../../makefile_common

=== build/linux/release/Makefile ===
BASE=/usr/local
BOOST_VERSION=
BOOST_INCLUDE = $(BASE)/include
C_PLATFORM=-static -pthread
GPP=/usr/bin/g++
C_OPTIONS= -O3 -DNDEBUG -std=c++11
BOOST_LIB_VERSION=

include ../../makefile_common

=== build/mac/release/Makefile ===
BASE=/usr/local
BOOST_VERSION=
BOOST_INCLUDE = $(BASE)/include
C_PLATFORM=-pthread
GPP=/usr/bin/clang++
C_OPTIONS= -O3 -DNDEBUG -std=c++11
BOOST_LIB_VERSION=

include ../../makefile_common

=== debian/changelog ===
autodock-vina (1.2.3-2) unstable; urgency=medium

  * Team upload.
  * Use secure URI in Homepage field.
  * d/t/control: allow messages in stderr during autopkgtest.
    Closes: #1004512

 -- Étienne Mollier <emollier@debian.org>  Fri, 18 Feb 2022 20:47:34 +0100

autodock-vina (1.2.3-1) unstable; urgency=medium

  * Upstream moved to Github
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Add missing build dependency on dh addon.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Upstream has droped --log option which needs to be removed from
    autopkgtest

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jan 2022 23:08:47 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               libboost-all-dev
-Standards-Version: 4.5.0
+               libboost-all-dev,
+               debhelper
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/autodock-vina
 Vcs-Git: https://salsa.debian.org/med-team/autodock-vina.git
-Homepage: http://vina.scripps.edu
+Homepage: https://vina.scripps.edu
 Rules-Requires-Root: no
 
 Package: autodock-vina

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/ccsb-scripps/AutoDock-Vina/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## autodock-vina 1.2.5

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = Vina
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== build/linux/debug/Makefile ===
BASE=/usr
BOOST_VERSION=
BOOST_INCLUDE = $(BASE)/include
C_PLATFORM=-static -pthread
GPP=g++
C_OPTIONS= -g -std=gnu++11
BOOST_LIB_VERSION=

include ../../makefile_common

=== build/linux/release/Makefile ===
BASE=/usr/local
BOOST_VERSION=
BOOST_INCLUDE = $(BASE)/include
C_PLATFORM=-static -pthread
GPP=g++
C_OPTIONS= -O3 -DNDEBUG -std=c++11
BOOST_LIB_VERSION=

include ../../makefile_common

=== build/mac/release/Makefile ===
BASE=/usr/local
BOOST_VERSION=
BOOST_INCLUDE = $(BASE)/include
C_PLATFORM=-pthread
GPP=/usr/bin/clang++
C_OPTIONS= -O3 -DNDEBUG -std=c++11 -fvisibility=hidden
BOOST_LIB_VERSION=
BOOST_STATIC=y

include ../../makefile_common

=== debian/changelog ===
autodock-vina (1.2.5-2build1) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:50:36 +0100

autodock-vina (1.2.5-2) unstable; urgency=medium

  * Team upload.
  * boost1.83.patch: new: fix ftbfs with boost 1.83.
    Thanks to jalegido (Closes: #1056089)
  * d/t/run-unit-test: remove bashisms flagged by lintian.

 -- Étienne Mollier <emollier@debian.org>  Mon, 18 Dec 2023 15:02:05 +0100

autodock-vina (1.2.5-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 12 Sep 2023 14:12:28 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: debhelper-compat (= 13),
                libboost-all-dev,
                debhelper
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/autodock-vina
 Vcs-Git: https://salsa.debian.org/med-team/autodock-vina.git
 Homepage: https://vina.scripps.edu

## autodock-vina 1.2.7

=== build/linux/release/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-BASE=/usr/local
+BASE=/usr
 BOOST_VERSION=
 BOOST_INCLUDE = $(BASE)/include
 C_PLATFORM=-static -pthread

=== build/mac/debug/Makefile ===
BASE=/usr/local
BOOST_VERSION=1_71
BOOST_INCLUDE = $(BASE)/include
C_PLATFORM=-isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX.sdk
GPP=clang++
C_OPTIONS= -g
BOOST_LIB_VERSION=

include ../../makefile_common

=== build/mac/release/Makefile ===
BASE=$(shell brew --prefix)
BOOST_VERSION=
BOOST_INCLUDE = $(BASE)/include
C_PLATFORM=-pthread
GPP=/usr/bin/clang++
C_OPTIONS= -O3 -DNDEBUG -std=c++14 -fvisibility=hidden
BOOST_LIB_VERSION=
BOOST_STATIC=y

include ../../makefile_common

=== debian/changelog ===
autodock-vina (1.2.7-2) unstable; urgency=medium

  * unenforce-standard-c++.patch: new: do not enforce std=c++11.
  * fortify.patch: update: ensure LDFLAGS are not erased.
  * d/rules: fix compilation flags setting.
  * d/rules: pass -std=c++14 to compiler flags. (Closes: #1110595)
  * d/control: drop redundant Priority: optional.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: declare compliance to standards version 4.7.3.
  * d/watch: convert to v5 Github template.
  * d/{clean,rules}: move files cleanup to d/clean.

 -- Étienne Mollier <emollier@debian.org>  Sat, 03 Jan 2026 18:58:21 +0100

autodock-vina (1.2.7-1) unstable; urgency=medium

  * New upstream version 1.2.7
  * boost1.83.patch: delete patch: applied upstream.
  * remove_static.patch: refresh patch.
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: add myself to uploaders.
  * d/patches/*: normalize dep3 headers.
  * d/rules: activate all hardening options.
  * fortify.patch: new: propagate fortify source macro.

 -- Étienne Mollier <emollier@debian.org>  Sun, 02 Mar 2025 12:10:29 +0100

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,16 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Michael Banck <mbanck@debian.org>,
-           Andreas Tille <tille@debian.org>
+           Andreas Tille <tille@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libboost-all-dev,
                debhelper
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/med-team/autodock-vina
 Vcs-Git: https://salsa.debian.org/med-team/autodock-vina.git
 Homepage: https://vina.scripps.edu
-Rules-Requires-Root: no
 
 Package: autodock-vina
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for autodoc_vinna
# Authors: Yask Gupta <yask.gupta87@gmail.com>, Andreas Tille <tille@debian.org>
# License: GPL

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
export DEB_CXXFLAGS_MAINT_APPEND = -fpermissive -DBOOST_FILESYSTEM_VERSION=3 -std=c++14
# Workaround erroneous use of CFLAGS for CXX compilers.
export DEB_CFLAGS_MAINT_APPEND = $(DEB_CXXFLAGS_MAINT_APPEND)

%:
	dh  $@

override_dh_auto_build:
	$(MAKE) BASE=/usr -C build/linux/release

=== debian/watch ===
Version: 5

Template: Github
Owner: ccsb-scripps
Project: AutoDock-Vina
